/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package review;

/**
 *
 * @author steffenel
 */
public class MMatrix2 extends MMatrix1 {
    float M1[][], M2[][];

    public MMatrix2(float[][] M1, float[][] M2){
        int m1rows = M1.length;
        int m1cols = M1[0].length;
        int m2rows = M2.length;
        int m2cols = M2[0].length;
        this.M1 = new float[m1rows][m1cols];
        this.M2 = new float[m2rows][m2cols];
        this.M1[0]=java.util.Arrays.copyOf(M1[0], M1[0].length);
        this.M1[1]=java.util.Arrays.copyOf(M1[1], M1[1].length);
        this.M2[0]=java.util.Arrays.copyOf(M2[0], M2[0].length);
        this.M2[1]=java.util.Arrays.copyOf(M2[1], M2[1].length);
    }

    public float[][] multi(){
        //float mC[][] = new float[][] {{0,0},{0,0}};

        int m1rows = M1.length;
        int m1cols = M1[0].length;
        int m2rows = M2.length;
        int m2cols = M2[0].length;
        if (m1cols != m2rows)
            throw new IllegalArgumentException("matrices don't match: " + m1cols + " != " + m2rows);
        float[][] mC = new float[m1rows][m2cols];

    // multiply
        for (int i=0; i<m1rows; i++)
            for (int j=0; j<m2cols; j++)
                for (int k=0; k<m1cols; k++)
                    mC[i][j] += M1[i][k]*M2[k][j];
                
        return mC;
    }

//    public void showMe(){
//        float C[][] = this.multi();
//        for (int i=0; i<2; i++){
//            for (int j=0;j<2;j++) {
//                System.out.print(C[i][j]+"  ");
//            }
//            System.out.println();
//        }
//    }

    public static void main(String[] argv){
        float[][] m1 = new float[][] {{1,2},{3,4}};
        float[][] m2 = new float[][] {{5,6},{7,8}};

        MMatrix2 mxm = new MMatrix2(m1,m2);
        mxm.showMe();

    }

}
