/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package review;

import java.util.ArrayList;

/**
 * Exemple de l'usage des exception par le biais d'une calculette.
 * l'utilisateur doit entrer 3 arguments par la ligne de commande : 
 * l'operateur (+, -, x, /) et 2 entiers
 * le programme effectue alors l'operation
 * 
 * @author kirsch
 */
public class ExceptionExample {
    int a;
    int b;
    char op;

    public void setOperation(char o) {
        this.op = o;
    }

    public void setOperands(int a, int b) {
        this.a = a;
        this.b = b;
    }

    public int calculate() {
        int r = 0;
        switch (this.op) {
            case '+':
                r = this.a + this.b;
                break;
            case '-':
                r = this.a - this.b;
                break;
            case 'x':
                r = this.a * this.b;
                break;
            case '/':
                r = this.a / this.b;
                break;
            default:
                System.out.println("Unkwon operation");
        }
        return r;
    }

    public static void main(String args[]) {
        if (args.length >= 3) {
            System.out.println ("calculating "+args[1]+args[0].charAt(0)+args[2]);
         
            char o;
            int a,b;
            
            o = args[0].charAt(0);
            
            try {
            a = Integer.parseInt(args[1]);
            b = Integer.parseInt(args[2]);
           } catch (NumberFormatException nfe) {
                System.out.println ("Error : Only integers are allowed!");
                a = 0;
                b = 0;
            }
            
            ExceptionExample exp = new ExceptionExample();
            exp.setOperation(o);
            exp.setOperands(a, b);
            
            System.out.println(exp.calculate());
        }
    }
}
