/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.ListIterator;

/**
 * Exemple usage des listes
 * @author kirsch
 */
public class HelloLists {
    ArrayList first;

    public HelloLists() {
        this.first = new ArrayList<String>();
    }

    public void setList(String list[]) {
         for (String s: list) {
             this.first.add(s);
         }
    }

    /**
     * Copie la liste en ordre inverse
     * @return List liste en ordre inverse
     */
    public List copyInverse() {
        LinkedList second = new LinkedList<String>();
        ListIterator<String> lIter = second.listIterator();
        Iterator<String> iter = this.first.iterator();

        while (iter.hasNext()) {
            lIter.add(iter.next());
            lIter.previous();
        }
        return (second);
    }

    public List copy2 () {
        ArrayList nl = new ArrayList<String>();
        Iterator it = this.first.iterator();

        while (it.hasNext()) {
            String s = (String)it.next();
            nl.add(0, s);
        }

        return nl;
    }

    public void print(List<String> list) {
        Iterator iter = list.iterator();
        while (iter.hasNext()) {
            System.out.print (iter.next() + " ");
        }
        System.out.println();
    }
    
    public void print () {
        this.print(this.first);
    }

    public static void main(String[] args) {
        String apha[] = {"a", "b", "c", "d"};
        HelloLists hello = new HelloLists();

        hello.setList(apha);
        hello.print();

        List list = (List) hello.copyInverse();
        hello.print(list);

        List l2 = hello.copy2();
        hello.print(l2);
    }
}
