/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.GridLayout;
import java.awt.Panel;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 *
 * @author kirsch
 */
public class Layouts extends Frame {

    public Layouts () {
        super ();
        initComp();
    }

    protected void initComp() {
        //pour faire simple, ecouter de la fenetre en classe anonyme
        this.addWindowListener(new WindowAdapter() {
             public void windowClosing(WindowEvent e) {
                System.exit(0);
             }
        });

        //creation des boutons
        Button b1 = new Button();
        b1.setLabel("B1");

        Button b3 = new Button();
        b3.setLabel("B3");

        Button b4 = new Button();
        b4.setLabel("B4");

        Button b5 = new Button();
        b5.setLabel("B5");

        Button b2 = new Button();
        b2.setLabel("B2");

        Button b6 = new Button();
        b6.setLabel("B6");

        //les panels qui contiennent les boutons
        Panel pcentre = new Panel();
        Panel psud = new Panel();

        pcentre.setLayout(new GridLayout(2,2));
        psud.setLayout(new FlowLayout());

        pcentre.add(b1);
        pcentre.add(b3);
        pcentre.add(b4);
        pcentre.add(b5);

        psud.add(b2);
        psud.add(b6);

        this.add (pcentre, BorderLayout.CENTER);
        this.add(psud, BorderLayout.SOUTH);
    }


    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here

        Layouts l = new Layouts();
        l.setSize(200,200);
        l.setVisible(true);
    }

}
