/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices;

/**
 * Interface pile propose les operations de la structure de donnees Pile
 * Objectif : interfaces, structure de donnees Stack
 * @author kirsch
 */
public interface Pile<T> {
    //defini une pile d'objets du type T

    /** Pop : retire et retourne l'element en haut de la pile. */
    public T pop (); //retourne un objet du type T

    /** Push : ajoute un nouveau objet en haut de la pile */
    public void push (T newone);

    /** isEmpty : verifie si la pile est vide */
    public boolean isEmpty();
}
