/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices.business;

import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 *
 * @author kirsch
 */
public abstract class DepartmentView extends Frame implements DepartmentListener {

    private DepartmentControler control;

    public DepartmentView(DepartmentControler control) {
        this.control = control;
        this.initWindowListener();
    }

    public void setDepartmentControler (DepartmentControler control) {
        this.control = control;
        this.initWindowListener();
    }

    private void initWindowListener() {
        this.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                control.closeAll();
            }
        });
    }

    public DepartmentControler getControler() {
        return control;
    }

    public void setControler(DepartmentControler control) {
        this.control = control;
    }

    //public void departmentChanged(DepartmentChangedEvent evt);
}
