/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.mvc;

/**
 *
 * @author kirsch
 */
public class VolumeMain {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        ConcreteVolumeModel model = new ConcreteVolumeModel();
        ConcreteVolumeControler control = new ConcreteVolumeControler(model);
        VolumeView1 view1 = new VolumeView1(control);
        VolumeView2 view2 = new VolumeView2(control);

        //definition d'une position initial (une vue apres l'autre
        view1.setLocation(100, 100);
        view2.setLocation((int)(view1.getLocation().getX() + view1.getSize().getWidth() + 10),
                          (int)(view1.getLocation().getX() + view1.getSize().getHeight()));

        control.addView(view1);
        control.addView(view2);

        model.setVolume(0); //on definit une valeur initiale

        control.displayViews();
    }

}
