package review.business;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.CA90AA47-8DD0-E159-F047-DA198BCB759D]
// </editor-fold> 
public class Department implements Serializable {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.96FF06B1-1CFF-20FB-78C0-88190A1092E4]
    // </editor-fold> 
    private String name;

    //manager
    private Manager deptManager;

    //liste d'employes
    private ArrayList<Employee> employees;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.13B3EAD8-C7C7-AD02-1EA1-0FD2440E3376]
    // </editor-fold> 
    public Department () {
        this.employees = new ArrayList<Employee>();
        this.name = "";
        this.deptManager = null;
    }

    public Department (String name) {
        this();
        this.name = name;
    }


    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.0AB0831E-4071-CC59-D639-C3305E33AF89]
    // </editor-fold> 
    public void addEmployee (Employee e) {
        this.employees.add(e);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E4E4A996-C20A-A5D3-C810-4D68E6CE2335]
    // </editor-fold> 
    public void removeEmployee (Employee e) {
        this.employees.remove(e);
    }

    public Iterator<Employee> employees () {
        return this.employees.iterator();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.EC14C4A4-BE42-1129-FF78-3D5849EE134D]
    // </editor-fold> 
    public void raiseAllSalaries (float percent) {
        for (Employee e: this.employees) {
            e.raiseSalary(percent);
        }
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7E3F488D-DB4C-042C-A7DE-2889D2132C4E]
    // </editor-fold> 
    public void setManager (Manager manager) {
        this.deptManager = manager;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.34981A47-515B-7F48-31BC-D496E673C627]
    // </editor-fold> 
    public String getName () {
        return name;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.84A1D462-BBD9-2B94-56E1-760B2D3B3BA1]
    // </editor-fold> 
    public void setName (String val) {
        this.name = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.93B2361F-B3CC-E691-6DA6-3E31BBFF287D]
    // </editor-fold> 
    public Manager getManager () {
        return this.deptManager;
    }

}

