/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

package review.ihmexamples.layouts;


import java.awt.Button;
import java.awt.BorderLayout;
import java.awt.FlowLayout;


/**
 * ceci est un frame qui contient plusieurs (5) boutons
 * ce frame est utilise pour monter l'usage du flowlayout manager
 * @author kirsch
 */
public class BorderLayoutExampleFrame  extends FlowLayoutExampleFrame {
    public BorderLayoutExampleFrame(String title) {
        super(title);
    }

    @Override
    protected void initComponents () {
        //this.addWindowListener(new ExternalWindowListner ());

        /* on definit le layoutmanager avec 2x plus d'espace vert. et horiz. */
        BorderLayout border = new BorderLayout();
        border.setHgap(border.getHgap() * 20);
        border.setVgap(border.getVgap() * 20);
        this.setLayout(border);

        //this.setLayout(new FlowLayout());
        
        //on ajoute 5 boutons
        Button b = new Button("Button Nord");
        this.add(b, BorderLayout.NORTH);
        b = new Button("Button Ouest");
        this.add(b, BorderLayout.WEST);
        b = new Button("Button Est");
        this.add(b, BorderLayout.EAST);
        b = new Button("Button Sud");
        this.add(b, BorderLayout.SOUTH);
        b = new Button("Button Centre");
        this.add(b, BorderLayout.CENTER);

        this.setSize(this.guessSize());
    }

     /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        BorderLayoutExampleFrame frame = new BorderLayoutExampleFrame ("BorderManager");
        frame.setVisible(true);
    }

}
