package review.mvc;

import javax.swing.event.EventListenerList;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.45102AA6-A65B-EC97-58D3-F01C5198E5EC]
// </editor-fold> 
public class ConcreteVolumeModel implements VolumeModel {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.EA613868-D9BB-A86C-CAD0-4AC8248296FB]
    // </editor-fold> 
    private int volume;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7336472D-A6EB-F623-3454-88FCFAEBAD30]
    // </editor-fold> 
    private EventListenerList listeners;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.31C40F0E-E687-1DBC-FB3A-F9C19290FBD4]
    // </editor-fold> 
    public ConcreteVolumeModel (int volume) {
        this.volume = volume;
        this.listeners = new EventListenerList();
    }

    public ConcreteVolumeModel () {
        this(0);
    }


    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.A983FD1D-A3D1-2CD7-E0FC-E8C87A41B25E]
    // </editor-fold> 
    public int getVolume () {
        return this.volume;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.67B93F9D-78A0-3992-7F83-120AF33D7509]
    // </editor-fold> 
    public void setVolume (int val) {
        this.volume = val;
        this.fireVolumeChange();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FB6F4E6D-2EC2-7D6F-9420-B435B6665A32]
    // </editor-fold> 
    public void addVolumeListener (VolumeListener l) {
        this.listeners.add(VolumeListener.class, l);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E59E1186-02C4-B9C6-DB0E-A3BA8429EECE]
    // </editor-fold> 
    public void removeVolumeListener (VolumeListener l) {
        this.listeners.remove(VolumeListener.class, l);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.080854EC-BF62-3EE7-60A8-029D510F8DCE]
    // </editor-fold> 
    public void fireVolumeChange () {
        VolumeListener[] listenerList =
                (VolumeListener[]) listeners.getListeners(VolumeListener.class);
        //foreach listener, on appelle la methode volumeChanged
        for (VolumeListener listener : listenerList) {
            listener.volumeChanged(new VolumeEvent(this, this.getVolume()));
        }
    }

}

